server {
    server_name oss.107421.xyz;
    listen 80 ;

    location ~* "^/s1/?(.*)" {
           access_log /var/log/nginx/access.log main;
           client_max_body_size 5120m;
           client_body_buffer_size 5120m;
           client_body_timeout 6000s;
           proxy_send_timeout 10000s;
           proxy_read_timeout 10000s;
           proxy_connect_timeout 600s;
           proxy_max_temp_file_size 5120m;
           proxy_request_buffering on;
           proxy_buffering off;
           proxy_buffer_size 4k;
           proxy_buffers 4 12k;

           proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
           proxy_set_header Host $http_host;
           proxy_pass https://cnk8d6fazu16.compat.objectstorage.ap-seoul-1.oraclecloud.com/seoul/$1;
       }
}

